Bug 663082 - rpmlint reports missing-lsb-keyword Default-Stop
Summary: rpmlint reports missing-lsb-keyword Default-Stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpmlint
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 976341
TreeView+ depends on / blocked
 
Reported: 2010-12-14 16:17 UTC by Alexander Todorov
Modified: 2014-01-30 09:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an incorrect rule in rpmlint caused it to report a "missing-lsb-keyword Default-Stop" error message for services that did not start by default in any run level. This update corrects the rule in rpmlint, and error messages no longer occur in the described scenario.
Clone Of: 634939
: 976341 (view as bug list)
Environment:
Last Closed: 2013-06-17 07:33:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0948 normal SHIPPED_LIVE rpmlint bug fix update 2013-06-17 11:33:13 UTC

Description Alexander Todorov 2010-12-14 16:17:27 UTC
+++ This bug was initially created as a clone of Bug #634939 +++

> libcgroup.x86_64: W: missing-lsb-keyword Default-Stop in
> /etc/rc.d/init.d/cgred
> libcgroup.x86_64: W: missing-lsb-keyword Default-Stop in
> /etc/rc.d/init.d/cgconfig

Looking at the current packaging guidelines, "If the service does not start by default in any runlevel, this line should be omitted." And the services *are* off by default.

----------------------------------------------------------------------

Shouldn't rpmlint not report this warning then?

Comment 1 RHEL Product and Program Management 2011-07-06 00:09:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 11 errata-xmlrpc 2013-06-17 07:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0948.html


Note You need to log in before you can comment on or make changes to this bug.